ReferencesOpenapiOrigination
Create quote
Create a quote for the specified deal, organisation, and workspace, and move the deal into the quoting phase.
Authorization
ApiKeyAuth x-api-key<token>
API key for authentication
In: header
Path Parameters
orgId*string
workspaceId*string
dealId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://app.np.aws.karia.com.au/api/v0/organisation/string/workspace/string/origination/deal/string/quote" \ -H "Content-Type: application/json" \ -d '{}'{
"quoteId": 0
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}
